# game-data

```javascript
const core = require('game-data');
const client = new core.Client({
    steam: '<YOUR_STEAM_API_KEY',
    rocket: '<YOUR_ROCKET_LEAGUE_API_KEY>'
});
```
You only need to provide the keys of the APIs you will be using.
- Steam API Key can be found at: <https://steamcommunity.com/dev/apikey>
- Rocket League API Key can be found at: <https://developers.rocketleaguestats.com/>

## Rocket League

```javascript
client.getRocketLeagueProfile('shadowinsaanity', '2').then(data => {
    console.log(data.name); // shadowinsaanity
});
```

- Possible platforms: `steam`, `psn`, `xbl`

## Overwatch

```javascript
client.getOverwatchProfile('Calvin-1337', 'competitive', 'na').then(data => {
    console.log(data.tier); // grandmaster
});
```

- Possible modes: `competitive`, `quickplay`
- Possible regions: `us`, `eu`, `kr`

## Minecraft

```javascript
client.getMinecraftProfile('play.minesuperior.com/status').then(data => {
    console.log(data.status); // true
});
```

## Counter-Strike: Global Offensive

```javascript
client.getCSGOProfile('76561198294668168').then(data => {
    console.log(data.id); // 76561198294668168
});
```

 | Method         | Type   |
 |----------------|--------|
 | pistolKills()  | number |
 | heavyKills()   | number |
 | smgKills()     | number |
 | rifleKills()   | number |
 | grenadeKills() | number |
 | knifeKills()   | number |
 | achieved()     | number |

### License

ISC
