const CSGOProfileStats = require('./CSGOProfileStats');
const CSGOProfileAchievements = require('./CSGOProfileAchievements');

class CSGOProfile {
    constructor(content) {
        this.id = content.playerstats.steamID;
        this.stats = content.playerstats.stats.map(stat => new CSGOProfileStats(stat));
        this.achievements = content.playerstats.achievements.map(stat => new CSGOProfileAchievements(stat));
    }

    pistolKills() {
        let total = 0;
        total += this.stats.filter(stat => stat.name == 'totalKillsP250')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsFiveseven')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsDeagle')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsTec9')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsGlock')[0].value;
        return total;
    }

    heavyKills() {
        let total = 0;
        total += this.stats.filter(stat => stat.name == 'totalKillsNova')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsXm1014')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsSawedoff')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsM249')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsNegev')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsMag7')[0].value;
        return total;
    }

    smgKills() {
        let total = 0;
        total += this.stats.filter(stat => stat.name == 'totalKillsUmp45')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsP90')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsMp7')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsMp9')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsBizon')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsMac10')[0].value;
        return total;
    }

    rifleKills() {
        let total = 0;
        total += this.stats.filter(stat => stat.name == 'totalKillsGalilar')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsAk47')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsSsg08')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsSg556')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsAwp')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsG3sg1')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsAug')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsM4a1')[0].value;
        return total;
    }

    grenadeKills() {
        let total = 0;
        total += this.stats.filter(stat => stat.name == 'totalKillsMolotov')[0].value;
        total += this.stats.filter(stat => stat.name == 'totalKillsHegrenade')[0].value;
        return total;
    }

    knifeKills() {
        let total = 0;
        total += this.stats.filter(stat => stat.name == 'totalKillsKnife')[0].value;
        return total;
    }

    achieved() {
        let total = 0;
        total += this.achievements.filter(achievement => achievement.achieved == 1).length;
        return total;
    }
}

module.exports = CSGOProfile;
